/*
* Copyright 2004-2005 mbsx@seznam.cz
* All Rights Reserved.
*/
using System;
using System.Windows.Forms;

namespace DeskNotes
{
	/// <summary>
	/// Summary description for CategoryNode.
	/// </summary>
	public class CategoryNode : DeskNotesTreeNode
	{
		     
		public CategoryNode(){
			type = DeskNotesTreeNode.CATEGORY;
		}

		public CategoryNode( string text ) : base(text)	{ 
			type = DeskNotesTreeNode.CATEGORY; 
		}

		public CategoryNode( string text, long id ) : base(text)
		{
			this.id = id;
			type = DeskNotesTreeNode.CATEGORY;
		}
		
		new internal bool IsExpanded
		{
			set
			{
				if (value)
				{
					this.Expand();
				}
				else
				{
					this.Collapse();
				}
			}
			get
			{
				return base.IsExpanded;
			}
		}
		
	}
}
